> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of orders for an Amazon channel (Requires Enterprise plan)

> Retrieve a list of orders for an Amazon channel that match the specified filter criteria. 

**NOTE: This endpoint is only available to users on the Enterprise plan.**



## OpenAPI

````yaml /api-reference/openapi.json post /orders/amazon
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /orders/amazon:
    post:
      tags:
        - order
      summary: >-
        Retrieve a list of orders for an Amazon channel (Requires Enterprise
        plan)
      description: >-
        Retrieve a list of orders for an Amazon channel that match the specified
        filter criteria. 


        **NOTE: This endpoint is only available to users on the Enterprise
        plan.**
      operationId: getOrders
      requestBody:
        description: Filter criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetOrdersRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetOrdersResponse'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    GetOrdersRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        dateField:
          type: string
          enum:
            - createdAt
            - updatedAt
          description: >-
            (Optional) The field to which fromDate and toDate filter are applied
            - either 'createdAt' or 'updatedAt'
        fromDate:
          type: number
          example: '1609459200'
          description: >-
            (Optional) Unix epoch time (seconds) representing the start of the
            reporting period
        toDate:
          type: number
          example: '1612137600'
          description: >-
            (Optional) Unix epoch time (seconds) representing the end of the
            reporting period
        orderId:
          type: string
          description: (Optional) The order ID to filter by
        key:
          type: string
          description: (Optional) The key used for pagination
        pageSize:
          type: number
          example: '50'
          description: (Optional) The number of results to return per page (Max 100)
    GetOrdersResponse:
      type: object
      properties:
        meta:
          type: object
          properties:
            key:
              type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/Order'
    Order:
      type: object
      properties:
        SellerId:
          type: string
        MarketplaceId:
          type: string
        BuyerInfo:
          type: object
          properties:
            BuyerEmail:
              type: string
        AmazonOrderId:
          type: string
        FulfillmentChannel:
          type: string
        EarliestDeliveryDate:
          type: string
        EarliestShipDate:
          type: string
        SalesChannel:
          type: string
        AutomatedShippingSettings:
          type: object
          properties:
            HasAutomatedShippingSettings:
              type: string
            AutomatedShipMethodName:
              type: string
            AutomatedCarrierName:
              type: string
        OrderStatus:
          type: string
        NumberOfItemsShipped:
          type: number
        NumberOfItemsUnshipped:
          type: number
        OrderType:
          type: string
        IsPremiumOrder:
          type: boolean
        IsPrime:
          type: boolean
        HasRegulatedItems:
          type: boolean
        IsReplacementOrder:
          type: boolean
        IsSoldByAB:
          type: boolean
        LatestShipDate:
          type: string
        ShipServiceLevel:
          type: string
        DefaultShipFromLocationAddress:
          type: object
          properties:
            StateOrRegion:
              type: string
            PostalCode:
              type: string
            City:
              type: string
            CountryCode:
              type: string
        IsISPU:
          type: boolean
        LatestDeliveryDate:
          type: string
        PurchaseDate:
          type: string
        ShippingAddress:
          type: object
          properties:
            StateOrRegion:
              type: string
            PostalCode:
              type: string
            City:
              type: string
            CountryCode:
              type: string
        IsAccessPointOrder:
          type: boolean
        PaymentMethod:
          type: string
        IsBusinessOrder:
          type: boolean
        OrderTotal:
          type: object
          properties:
            Amount:
              type: number
            CurrencyCode:
              type: string
        PaymentMethodDetails:
          type: string
        IsGlobalExpressEnabled:
          type: boolean
        LastUpdateDate:
          type: string
        ShipmentServiceLevelCategory:
          type: string
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````